import React from 'react';
import { connect } from 'umi';
import AffixMenuComponent from '../../components/Common/AffixMenu';

function AffixMenu({ dispatch, app, ...props }) {
  const AffixMenuProps = {
    ...props,
    app,
    dispatch,
  };
  return (
    <AffixMenuComponent {...AffixMenuProps} />
  );
}

export default connect(({ app }) =>
  ({ app }))(AffixMenu);
